package com.iamberry.wechat.face.questionnaire;

import java.util.List;

import com.iamberry.wechat.core.entity.PageBean;
import com.iamberry.wechat.core.entity.questionnaire.QuestionnaireOption;
import com.iamberry.wechat.core.entity.questionnaire.QuestionnairePaper;
import com.iamberry.wechat.core.entity.questionnaire.QuestionnairePaperDto;
import com.iamberry.wechat.core.entity.questionnaire.QuestionnaireQuestion;

public interface QuestionnairePaperService {

	
	public Integer getQuestionnaireQuestionCount();
	public Integer getQuestionnaireOptionCount();
	
	
	
	/**
	 * 查询题目列表并分页
	 * 2016年7月6日
	 * @author 穆再兴
	 * @return
	 */
	public List<QuestionnaireQuestion> getQuestionnaireQuestionList();
	
	
	/**
	 * 根据题目id获取题目选项
	 * @return
	 */
	public List<QuestionnaireOption> getOptionByquestionID(Integer questionID);
	
	
	/**
	 * 查询试卷列表并分页
	 * 2016年7月6日
	 * @author 穆再兴
	 * @return
	 */
	public List<QuestionnairePaper> getQuestionnairePaperList(QuestionnairePaper QuestionnairePaper);
	
	/**
	 * 根据试卷id获取试卷信息
	 * @param paperId
	 * @return
	 */
	public List<QuestionnairePaperDto> getQuestionnairePaperQuesOptiList(Integer paperId);
	
	
	
	/**
	 * 查询试卷总数
	 * 2016年7月6日
	 * @author 穆再兴
	 * @return
	 */
	public Integer getQuestionnairePaperCount();
	
	

	/**
	 * 根据id和类型 修改 试卷 中的 试题，选项 ，或者分数
	 * @return
	 */
	public Integer updateQuestionnairePaperByType(QuestionnairePaperDto questionnairePaperdto);
	
	
	
	
	
	
	
	
	
	/**
	 * 添加一个试卷
	 * @param QuestionnairePaper
	 * @return
	 */
	public Integer insertQuestionnairePaper(QuestionnairePaper QuestionnairePaper);
	
	/**
	 * 根据id查询一个试卷
	 * @param paperId
	 * @return
	 */
	public QuestionnairePaper getQuestionnairePaperById(Integer paperId);
	
	
	

	/**
	 * 根据id修改一条试卷信息
	 * @return
	 */
	public Integer updateQuestionnairePaperById(QuestionnairePaper QuestionnairePaper);
	
	/**
	 * 根据id 删除一个试卷
	 * @param paperId
	 * @return
	 */
	public Integer deleteQuestionnairePaperById(Integer paperId);
	
	/**
	 * 根据试卷id分配题目
	 * 2016年11月1日
	 * @return
	 */
	public Integer updatePaperQuestionById(QuestionnaireQuestion questionnaireQuestion);
}
